Package pygccxml :: Package declarations :: Module typedef :: Class typedef_t

# type typedef_t

source code

                   object --+
                            |
    declaration.declaration_t --+
                                |
                               typedef_t

Known Subclasses:
  - pyplusplus.decl_wrappers.typedef_wrapper.typedef_t

describes C++ typedef declaration

Instance Methods

__init__(self, name=`'````'`, type=None) creates class that describes C++ typedef | source code

__eq__(self, other) function will return true, if both declarations refers to the same object. | source code

i_depend_on_them(self, recursive=True) return list of all types and declarations the declaration depends on | source code

Inherited from `declaration.declaration_t`: `__lt__`, `__ne__`, `__str__`, `create_decl_string`

Properties
| type reference to the original type
| byte_size Size of this type in bytes @type: int
| byte_align alignment of this type in bytes @type: int
Inherited from `declaration.declaration_t`: `attributes`, `cache`, `compiler`, `decl_string`, `demangled`, `is_artificial`, `location`, `mangled`, `name`, `parent`, `partial_decl_string`, `partial_name`, `top_parent`

Method Details

### __init__(self, name=`'````'`, type=None)
(Constructor)

source code

creates class that describes C++ typedef

Overrides: declaration.declaration_t.__init__

### __eq__(self, other)
(Equality operator)

source code

function will return true, if both declarations refers to the same object. This function could be implemented in terms of _get__cmp__data, but in this case it will downgrade performance. self.mangled property is not compared, because it could be chaned from one compilation time to an other.

Overrides: declaration.declaration_t.__eq__
  (inherited documentation)

### i_depend_on_them(self, recursive=True)

source code

return list of all types and declarations the declaration depends on

Overrides: declaration.declaration_t.i_depend_on_them
  (inherited documentation)

Property Details

### type

reference to the original type

Get Method:
  _get_type(self)
Set Method:
  _set_type(self, type)

### byte_size

Size of this type in bytes @type: int

### byte_align

alignment of this type in bytes @type: int